import java.io.*;
import java.util.*;

public class traffic_md implements Runnable {
	private Scanner in;
	private PrintWriter out;

	public void run() {
		try {
			solve();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}

	private void solve() throws IOException {
		Locale.setDefault(Locale.US);
		in = new Scanner(new FileReader("traffic.in"));
		out = new PrintWriter("traffic.out");
		int m = in.nextInt();
		int n = in.nextInt();
		long[][] a = new long[m + 1][n + 1];
		a[0][0] = 1;
		for (int i = 0; i < m; i++) {
			for (int j = 0; j < n; j++) {
				a[i + 1][j] += a[i][j];
				a[i + 1][j + 1] += a[i][j];
				a[i][j + 1] += a[i][j];
			}
		}
		out.println(a[m - 1][n - 1]);
		in.close();
		out.close();
	}

	public static void main(String[] args) {
		new Thread(new traffic_md()).start();
	}
}
